*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Segoe UI", Arial, sans-serif;
}

body.principal{
    background:#f1f5f9;
    color:#1e293b;
}

.barra-superior{
    height: 100px;

    position: sticky;
    top: 0;
    z-index: 1000;
    
    align-items: center;
    justify-content: space-between;

    background:#0f172a;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 0 40px;
    
    display: none;
}

.barra-superior__acciones{
    display: flex;
}

.logo img{
    height: 100px;
}


/* Acciones usuario */

.barra-superior__opcion{
    margin: 5px;
}

.barra-superior button{
    padding: 8px 16px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 14px;
    transition: 0.2s;
}

.barra-superior__opcion--perfil{
    background:#2563eb;
    color:white;
}

.barra-superior__opcion--perfil:hover{
    background:#1d4ed8;
}

.barra-superior__opcion--cursos{
    background:#2563eb;
    color:white;
}

.barra-superior__opcion--cursos:hover{
    background:#1d4ed8;
}


.barra-superior__opcion--salir{
    background:#ef4444;
    color:white;
}

.barra-superior__opcion--salir:hover{
    background:#dc2626;
}


/* Botón hamburguesa */

.menu-hamburguesa{
    display: none;
    font-size: 28px;
    background: none;
    border: none;
    color:white;
    cursor: pointer;
}


/* Contenido */

.contenido{
    padding: 40px;
    max-width: 1100px;
    margin: auto;
    display: none;
}


/* MENU RESPONSIVE */

@media (max-width:700px){

    .menu-hamburguesa{
        display: block;
    }

    .barra-superior__acciones{
        position: absolute;
        top: 70px;
        right: 0;
        background: #0f172a;
        flex-direction: column;
        width: 200px;
        padding: 20px;
        gap: 10px;
        display: none;
        z-index: 10;
    }

    .barra-superior__acciones.mostrar{
        display: flex;
    }

}